#ifndef DIRLOADER_H
#define DIRLOADER_H

#include <wx/dir.h>
#include <wx/filename.h>
/*
enum wxDirTraverseResult
{
    wxDIR_IGNORE = -1,      // ignore this directory but continue with others
    wxDIR_STOP,             // stop traversing
    wxDIR_CONTINUE          // continue into this directory
};
*/

WX_DEFINE_ARRAY(wxFileName*, wxFileNameArray);

class DirLoader: public wxDirTraverser
{
    public:
    DirLoader(wxFileNameArray& files) : m_files(files) { }

        virtual wxDirTraverseResult OnFile(const wxString& filename)
        {
            wxFileName* fileNameObj = new wxFileName(filename);
            m_files.Add(fileNameObj);
            return wxDIR_CONTINUE;
        }

        virtual wxDirTraverseResult OnDir(const wxString& WXUNUSED(dirname))
        {
            return wxDIR_CONTINUE;
        }
        //virtual wxDirTraverseResult getFiles(wxString path,wxFileNameArray,wxString ex) = 0;
        //virtual ~DirLoader();
        static int sortByModifycationTime(wxFileName **A,wxFileName **B);
    private:
        wxFileNameArray& m_files;
    protected:
};
    // get the names of all files in the array
//    wxArrayString files;
//    wxDirTraverserSimple traverser(files);

//    wxDir dir(dirname);
//    dir.Traverse(traverser);
//typedef int (DirLoader::*sortFV) (wxFileName **A, wxFileName **B);
#endif // DIRLOADER_H
