#ifndef ECUSTATECHANGEPANEL_H
#define ECUSTATECHANGEPANEL_H

#include <wx/panel.h>
#include <wx/wx.h>

class ECUStateMgrBase;
class VemsTuneController;

class ECUStateChangePanel : public wxPanel
{
    public:
        ECUStateChangePanel( wxWindow* parent, VemsTuneController* vemsTuneController );
        virtual ~ECUStateChangePanel();
    protected:
    private:
        VemsTuneController* m_vemsTuneController;
        ECUStateMgrBase*    m_states;

        wxComboBox*         m_deviceCombo;
        wxComboBox*         m_stateCombo;
        wxComboBox*         m_baudRateCombo;

        void buildGUI();
        void fillStateCombo( int device );
        void OnTextUpdated( wxCommandEvent& event );
        void OnButton( wxCommandEvent& event );
        DECLARE_EVENT_TABLE();

};


class ECUStateChangeFrame : public wxFrame
{
    public:
        ECUStateChangeFrame( wxWindow* parent, VemsTuneController* vemsTuneController );
        virtual ~ECUStateChangeFrame();
    protected:
    private:
     //   VemsTuneController* m_vemsTuneController;
     //   ECUStateMgrBase* m_states;

};

#endif // ECUSTATECHANGEPANEL_H
