#ifndef FILEDROPMANAGERBASE_H
#define FILEDROPMANAGERBASE_H

#include <wx/dnd.h>

class FileDropTargetBase;
class FileDropRegistrator;

class FileDropManagerBase
{
    public:
        FileDropManagerBase(wxWindow* dropTarget, FileDropRegistrator* reg);
        virtual ~FileDropManagerBase();

        virtual bool onDropFiles( const wxArrayString& filenames );

        void RegisterTarget(FileDropTargetBase* target);
        void UnRegisterTarget(FileDropTargetBase* target);

    protected:

        FileDropRegistrator* m_registrator;

};

#endif // FILEDROPMANAGERBASE_H
