#ifndef INTERRUPTABLE_H
#define INTERRUPTABLE_H

class Interruptable
{
    public:
        Interruptable() : m_aborted( false ) {}

        virtual void    Abort() = 0;

        virtual bool    IsAborted() { return m_aborted; }
        virtual void    Resume() { }
        virtual void    Reset() { m_aborted = false; }

    protected:
        bool    m_aborted;
};

#endif // INTERRUPTABLE_H
