#include "ProgressBarObserverWidget.h"

#include "logger.h"

ProgressBarObserverWidget::ProgressBarObserverWidget(wxWindow *parent, wxWindowID id, wxPoint pos, wxSize size, long style,const wxValidator &validator, const wxString& name)
    :ProgressBar(parent,id,pos,size,style,validator,name)
{
    //ctor
}

ProgressBarObserverWidget::~ProgressBarObserverWidget()
{
    //dtor
}


void ProgressBarObserverWidget::notify(int i, int idx)
{



    double percent = ((double)i/(double)idx)*100;
    //Logger::logf(LOG_MSG,_T("ProgressBarObserverWidget::notify  percent: %f"), percent);
    Update(percent);

    if(idx == i) Logger::logf(LOG_MSG,_T("ProgressBarObserverWidget::notify end"));

}

void ProgressBarObserverWidget::notify(int i)
{
    double percent = ((double)i/(double)100)*100;
    //Logger::logf(LOG_MSG,_T("ProgressBarObserverWidget::notify  percent: %f"), percent);
    Update(percent);

    if(i == 100) Logger::logf(LOG_MSG,_T("ProgressBarObserverWidget::notify(int i) end"));

}

void ProgressBarObserverWidget::notify(const wxString & str){

}


void ProgressBarObserverWidget::Init(const wxString& name, const wxString& msg, const int max)
{

}
