#ifndef PROGRESSBAROBSERVERWIDGET_H
#define PROGRESSBAROBSERVERWIDGET_H

#include "ObserverBase.h"
#include "ProgressBar.h"

class ProgressBarObserverWidget: public ObserverBase, public ProgressBar
{
    public:
        ProgressBarObserverWidget(wxWindow *parent, wxWindowID id = wxID_ANY, wxPoint pos = wxDefaultPosition, wxSize size = wxDefaultSize, long style = 0,const wxValidator &validator = wxDefaultValidator, const wxString& name = wxPanelNameStr);
        virtual ~ProgressBarObserverWidget();

        //void notify( int i ) {}
        void notify(int i);
        void notify(int i, int idx);
        void notify(const wxString & str);
        void Init(const wxString& name, const wxString& msg, const int max);

    protected:

    private:

};



#endif // PROGRESSBAROBSERVERWIDGET_H
