#include "RTDataManagerApp.h"
#include "CommunicationModelMainFrame.h"
#include "logger.h"
#include "DirHelper.h"

#include <wx/filename.h>

IMPLEMENT_APP(MyApp);

bool MyApp::OnInit()
{
    wxFileName prgName = wxFileName(argv[0]);

    wxString path = prgName.GetPath();
    if(path.StartsWith(_T("."))){
        path  = wxFileName::GetCwd();
    }

    DirHelper::SetProgramRootDir(path);

    wxString logfile = DirHelper::GetPath( dDEBUGLOG ) + _T("filelog.txt");
    Logger::initLog( logfile );

    ::wxInitAllImageHandlers();

	MyFrame* frame = new MyFrame(0L, _("wxWidgets Application Template"));
	frame->Show();

	return true;
}

int MyApp::OnExit()
{
    return 0;
}
