#ifndef MAIN_H
#define MAIN_H

//#include <wx/wx.h>

//#include "Observable.h"
//
//class VemsDeviceControllerEvent;
//class CommunicationEvent;
//class InputEvent;
//
//class VemsDeviceController;
//class SIPRFileLogger;
//class STDataModelBase;
//class FirmwareConfigItemArray;
//class SIPRPacket;
//class DeviceControllerProgressBarManager;
#include "common/types/DoubleHash.h"

//#include "Symbol.h"

class RTDataMgrFacade;
class SymbolMgr;


class MyFrame: public wxFrame//, public Observable
{
	public:
		MyFrame(wxFrame *frame, const wxString& title);
		~MyFrame();

	private:
        RTDataMgrFacade*    m_rtDataMgr;
        DoubleHash          m_rtViewerModel;
		SymbolMgr*			m_symbolManager;
		//SymbolTable			m_symbolTable;
//        VemsDeviceController*   m_controller;
//        STDataModelBase*        m_model;
//        SIPRFileLogger*         m_siprFileLogger;
//
//        DeviceControllerProgressBarManager* m_progressBarManager;

    private:
//        void startLogging();
//        void stopLogging();
//
//        void refreshToolbar( const VemsDeviceControllerEvent& event );
//        void refreshToolbarButton( int buttonId, const wxString& label, const wxColour& color, bool isEnabled );
//        void refreshBaudrateComboBox( bool isEnabled, size_t baudrate );
//
//        void resetStatusBar();
//        void refreshStatusBar( const SIPRPacket& packet );
//
//        void enableFirmwareMenu( bool isEnabled );
//
//        wxString getHexFile(FirmwareConfigItemArray* configItemA);
//
//        /// MenuItemEvent handlers
//		void onECUConfig( wxCommandEvent & event );
//		void onFirmwareVerify( wxCommandEvent& event );
//		void onFirmwareUpload( wxCommandEvent& event );
//		void onConfigDownload( wxCommandEvent& event );
//		void onSDCardSave( wxCommandEvent& event );
//        void onReadPage( wxCommandEvent & event );
//        void onSDAction( wxCommandEvent& event );
//        void onTriggerLog( wxCommandEvent& event );
//
//		/// ToolBarButton handlers
//        void onDeviceButton( wxCommandEvent& event );
//        void onBaudrateComboBox( wxCommandEvent& event );
//
//        /// CommunicationEvent handlers
//        void onCannotOpenPort( CommunicationEvent& event );
//        void onCommunicationError( CommunicationEvent& event );
//
//        /// VemsDeviceControllerEvent handlers
//        void onDeviceFound( VemsDeviceControllerEvent& event );
//        void onDeviceNotFound( VemsDeviceControllerEvent& event );
//        void onDeviceConnected( VemsDeviceControllerEvent& event );
//        void onDeviceDisconnected( VemsDeviceControllerEvent& event );
//        void onDeviceControllerStarted( VemsDeviceControllerEvent& event );
//        void onDeviceControllerStopped( VemsDeviceControllerEvent& event );
//        void onDeviceBaudRateChanged( VemsDeviceControllerEvent& event );
//
//		/// InputEvent handler
//		void onInputEvent( InputEvent& event );

		DECLARE_EVENT_TABLE();
};

#endif // MAIN_H
