#ifndef RAWTOHIGHLOGCONVERTER_H
#define RAWTOHIGHLOGCONVERTER_H

//#include "ObserverBase.h"
#include "ThreadStatus.h"
//#include "FirmwareInfo.h"

class RTDataMgrFacade;
class STDataMgrFacade;
class VemsLogReader;

//#include "mtconfigdata.h"

class RawToHighLogConverter: public ThreadStatusSender
{
    public:
        RawToHighLogConverter(RTDataMgrFacade* rtDataMgr, STDataMgrFacade* stController, VemsLogReader* reader);
        virtual ~RawToHighLogConverter();
        virtual void* Entry();

        //bool ParseHeader(const wxString& filename, FirmwareInfo &fwInfo );
        //void SetObserver(ObserverBase *observ);

    protected:

    private:
        //ObserverBase            *m_observer;
        RTDataMgrFacade*    m_rtDataMgr;
        VemsLogReader*      m_vemsLogReader;
        STDataMgrFacade*    m_stController;
};



#endif // RAWTOHIGHLOGCONVERTER_H
