#ifndef THEMEABLEBASE_H
#define THEMEABLEBASE_H

#include "WidgetThemeTable.h"

class ThemeAbleBase
{
    public:
        ThemeAbleBase();
        virtual ~ThemeAbleBase();

        virtual void SetNewTheme(WidgetThemeTable *theme) = 0;
        virtual void SetNewTheme(const wxString& name) = 0;
        virtual wxString& GetThemeName() = 0;

        virtual bool isCustomTheme() { return m_themeFromCustomNode; };
        virtual bool isChanged() { return m_isChanged; };

    protected:
        const WidgetThemeTableArray * m_themes;
        WidgetThemeTable * m_theme;

        bool m_themeFromCustomNode;

        wxMenu * m_thMenu;

        wxString m_nullTheme;

        bool m_isChanged;

};

#endif // THEMEABLEBASE_H
