#include "VemsStateWidget.h"

#include "logger.h"

BEGIN_EVENT_TABLE(VemsStateWidget, wxControl)

END_EVENT_TABLE()


VemsStateWidget::VemsStateWidget(wxWindow *parent, wxWindowID id, wxPoint pos, wxSize size, long style, bool isShow)
{
    //ctor

    Logger::logf(LOG_MSG,_T("VemsStateWidget::VemsStateWidget START"));

    Create(parent, id, pos, size, style, wxDefaultValidator, _T("VemsStateWidget"));
    Show(isShow);

    statetext = new wxStaticTextEx(this,wxID_ANY,_T(""), wxPoint(10,10), wxSize(100,20));

    statetext->SetForegroundColour(wxColour(255,255,255));

    m_parent = parent;

    Logger::logf(LOG_MSG,_T("VemsStateWidget::VemsStateWidget END"));
}

VemsStateWidget::~VemsStateWidget()
{
    //dtor

    Logger::logf(LOG_MSG,_T("VemsStateWidget::~VemsStateWidget()"));
    delete statetext;

}

