#ifndef VEMSTASKBARICON_H
#define VEMSTASKBARICON_H

#include <wx/taskbar.h>

enum {

    PU_RESTORE = 10001,
    PU_NEW_ICON,
    PU_EXIT,

};

class VemsTaskBarIcon: public wxTaskBarIcon
{
    public:
        VemsTaskBarIcon(wxWindow *parent = NULL);

        virtual ~VemsTaskBarIcon();

        void OnLeftDown(wxTaskBarIconEvent& evt);
        void OnRightDown(wxTaskBarIconEvent& evt);

        void OnMenuRestore(wxCommandEvent&);
        void OnMenuExit(wxCommandEvent&);
        void OnMenuSetNewIcon(wxCommandEvent&);

        bool IsRestored();
        void SetRestored(bool rest);

    protected:

        wxWindow *m_parent;
        wxMenu *menu;

        bool m_IsRestore;

        DECLARE_EVENT_TABLE()

    private:


};



#endif // VEMSTASKBARICON_H
