#ifndef WIDGETTHEMETABLE_H
#define WIDGETTHEMETABLE_H

//#include "ThemesHelper.h"
#include <wx/wx.h>

#include "common/types/wxColorHash.h"

class WidgetThemeTable
{
    public:


        WidgetThemeTable();
        virtual ~WidgetThemeTable();

        wxColor     BackgroundColor;
//        wxColor     WarningColor;
//        wxColor     DangerColor;
        wxColor     BorderColor;
        wxColor     BorderBeginColor;
        wxColor     BorderEndColor;
        wxColor     PointerColor;
        wxColor     DivColor;
        wxColor     InnerButtonColor;

        wxColor     TitleColor;
        wxColor     DivTextColor;
        wxColor     ValueColor;
        wxColor     SuffixColor;
        wxColor     LinkTextColor;
        wxColor     VariableBackgroundColor;
        wxColor     InactiveBackgroundColor;
        wxColor     InactiveTextColor;

        double      BorderWidthRatio;

        bool        PointerAA;
        bool        Border3D;
        bool        InnerButton3D;
        bool        BmpBorder;

        wxString    Name;

        wxColorHash ColorSymbols;

        wxColor getMinMaxPointerColor();

    protected:
    private:

};


WX_DEFINE_ARRAY(WidgetThemeTable *, WidgetThemeTableArray);



#endif // WIDGETTHEMETABLE_H
