#ifndef AIMDISPLAYHELPER_H
#define AIMDISPLAYHELPER_H

#include "../common/types/IntArray.h"

class AIMDisplayHelper
{
    public:
        static IntArray requiredChannels;

        static void clearChannels() { requiredChannels.Clear(); }
        static void addChannel( int channel ) {
            if ( requiredChannels.Index( channel ) == wxNOT_FOUND )
                requiredChannels.Add( channel );
        }
};

#endif // AIMDISPLAYHELPER_H
