#include "SortFunctions.h"

int SortFunctions::compare_func_item_0_asc(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    wxString str_a = (**a)[0].GetString();
    wxString str_b = (**b)[0].GetString();

    return str_a.CmpNoCase(str_b);
}

int SortFunctions::compare_func_item_1_asc(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    wxString str_a = (**a)[1].GetString();
    wxString str_b = (**b)[1].GetString();

    return str_a.CmpNoCase(str_b);
}

int SortFunctions::compare_func_item_2_asc(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    wxString str_a = (**a)[2].GetString();
    wxString str_b = (**b)[2].GetString();

    return str_a.CmpNoCase(str_b);
}


int SortFunctions::compare_func_item_0_desc(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    wxString str_a = (**a)[0].GetString();
    wxString str_b = (**b)[0].GetString();

    return str_b.CmpNoCase(str_a);
}

int SortFunctions::compare_func_item_1_desc(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    wxString str_a = (**a)[1].GetString();
    wxString str_b = (**b)[1].GetString();

    return str_b.CmpNoCase(str_a);
}

int SortFunctions::compare_func_item_2_desc(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    wxString str_a = (**a)[2].GetString();
    wxString str_b = (**b)[2].GetString();

    return str_b.CmpNoCase(str_a);
}


int SortFunctions::compare_func_item_0_asc_num(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    long num_a = (**a)[0].GetLong();
    long num_b = (**b)[0].GetLong();

    return num_a > num_b ? true : (num_a < num_b ? false : 0);
}

int SortFunctions::compare_func_item_1_asc_num(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    long num_a = (**a)[1].GetLong();
    long num_b = (**b)[1].GetLong();

    return num_a > num_b ? true : (num_a < num_b ? false : 0);
}

int SortFunctions::compare_func_item_2_asc_num(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    long num_a = (**a)[2].GetLong();
    long num_b = (**b)[2].GetLong();

    return num_a > num_b ? true : (num_a < num_b ? false : 0);
}


int SortFunctions::compare_func_item_0_desc_num(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    long num_a = (**a)[0].GetLong();
    long num_b = (**b)[0].GetLong();

    return num_b > num_a ? true : (num_b < num_a ? false : 0);
}

int SortFunctions::compare_func_item_1_desc_num(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    long num_a = (**a)[1].GetLong();
    long num_b = (**b)[1].GetLong();

    return num_b > num_a ? true : (num_b < num_a ? false : 0);
}

int SortFunctions::compare_func_item_2_desc_num(wxVariantIntHash ** a, wxVariantIntHash ** b)
{
    long num_a = (**a)[2].GetLong();
    long num_b = (**b)[2].GetLong();

    return num_b > num_a ? true : (num_b < num_a ? false : 0);
}
