#ifndef WXVARIANTHASHCLIENTDATA_H
#define WXVARIANTHASHCLIENTDATA_H

#include <wx/clntdata.h>

#include "wxVariantHash.h"

class wxVariantHashClientData: public wxClientData
{
    public:
        wxVariantHashClientData(const wxVariantHash& hash);
        virtual ~wxVariantHashClientData();

        void SetData(const wxVariantHash& hash);
        const wxVariantHash& GetData() const;

    protected:

        wxVariantHash m_hash;

};

#endif // WXVARIANTHASHCLIENTDATA_H
