#include "CommunicationClientEventTypes.h"

wxString CommunicationClientEvent::toString( Type eventType )
{
    switch ( eventType )
    {
        case DEVICE_FOUND:
            return _T("DEVICE_FOUND");

        case DEVICE_NOT_FOUND:
            return _T("DEVICE_NOT_FOUND");

        case DEVICE_PROTECTED:
            return _T("DEVICE_PROTECTED");

        case DEVICE_NOT_PROTECTED:
            return _T("DEVICE_NOT_PROTECTED");

        case FIRMWARE_INFO_FETCHED:
            return _T("FIRMWARE_INFO_FETCHED");

        case FIRMWARE_DATA_SYNCED:
            return _T("FIRMWARE_DATA_SYNCED");

        case BAUD_RATE_CHANGED:
            return _T("BAUD_RATE_CHANGED");

        case DEVICE_MODE_SELECTED:
            return _T("DEVICE_MODE_SELECTED");

        case CONFIG_DOWNLOADED:
            return _T("CONFIG_DOWNLOADED");

        case TIMEOUT:
            return _T("TIMEOUT");

        case EEPROM_DOWNLOADED:
            return _T("EEPROM_DOWNLOADED");

        default:
            return _T("UNKNOWN_EVENT");
    }
}
