#ifndef SERIALPORTHANDLERFACTORY_H
#define SERIALPORTHANDLERFACTORY_H

class CommunicationBase;
class SerialConfig;

class SerialPortHandlerFactory
{
    public:
        static CommunicationBase* create( SerialConfig* config );
        static CommunicationBase* create( const wxString& host, unsigned short port );

    private:
        virtual ~SerialPortHandlerFactory() {}
};

#endif // SERIALPORTHANDLERFACTORY_H
