#ifndef CONFIGHELPER2_H
#define CONFIGHELPER2_H


#include "../common/types/Int2StringHash.h"
#include "../common/types/StringHash.h"
#include "../ConfigBase.h"


class ConfigHelper2
{
    public:
        enum{
        CONFIG_MAIN = 0,
        CONFIG_LAYOUT = 1
        };

        static void init();
        static void cleanup();
        static ConfigBase* getConfig(char mode = CONFIG_MAIN);
        static wxString getConfigFile(char mode);
        static void getEntryHash( const wxString &path, StringHash& vHash );

    private:
        virtual ~ConfigHelper2() {}

        static Int2StringHash s_fileHash;
        static ConfigBaseHash s_cfgHash;
};

#endif // CONFIGHELPER2_H
