#include "VemsDeviceControllerConfig.h"


IMPLEMENT_DYNAMIC_CLASS(VemsDeviceControllerConfig, wxObject)


VemsDeviceControllerConfig::VemsDeviceControllerConfig()
{
    mode                = _T("SERIAL");

    port                = _T("COM2");
    timeout             = 10;
    rtErrorCount        = 3;
    interWriteDelay     = 0;
    preferredBaudrate   = 19200;
    baudrate            = 19200;
    fwUploadBaudrate    = 19200;

    sdcardBaudrate      = 115200;

    protocol            = _T("SIPR");
    readRealtime        = _T("SIPR_RT_MT_EXT");

    ip                  = wxEmptyString;
    tcpTimeout          = 0;
}

VemsDeviceControllerConfig::~VemsDeviceControllerConfig()
{

}
