#include "ExpressionFvFloor.h"
#include <math.h>

ExpressionFvFloor::ExpressionFvFloor()
{
    setType( FUNCTION );
}

ExpressionFvFloor::~ExpressionFvFloor()
{
    //dtor
}

void ExpressionFvFloor::interpret( RPNStack& rpnStack )
{
    RPNStackItem* a = rpnStack.pop();

    if( a->getType() == RPNStackItem::NUMBER )
    {
        RPNStackItem* item = new RPNStackItem();

        item->setNumber( floor( a->getNumber() ) );

        rpnStack.push( item );
    }
    else
    {
        // throw exception
    }

    delete a;
}
