#ifndef EXPRESSIONFVGETGPSCOURSE_H
#define EXPRESSIONFVGETGPSCOURSE_H

#include "ExpressionBase.h"

class ExpressionFvGetGPSCourse : public ExpressionBase
{
    public:
        ExpressionFvGetGPSCourse();
        virtual ~ExpressionFvGetGPSCourse();

        void interpret( RPNStack& stack );
        wxString toString() { return _T("getGpsCourse"); }
        /*TEST*/ static double getCourse( double lat1Deg, double lon1Deg, double lat2Deg, double lon2Deg );
    protected:
    private:
        double m_latitudeIndicator;
        double m_longnitudeIndicator;
        double m_latitude;
        double m_longnitude;

        static double degreesToRadians( double degrees );
        static double radiansToDegrees( double radians );
        //double getCourse( double lat1Deg, double lon1Deg, double lat2Deg, double lon2Deg );
        double d;
};

#endif // EXPRESSIONFVGETGPSCOURSE_H
