#ifndef EXPRESSIONFVPLUS_H
#define EXPRESSIONFVPLUS_H

#include "ExpressionBase.h"

class ExpressionFvPlus : public ExpressionBase
{
    public:
        ExpressionFvPlus()
        {
            setPrec( 130 );
            setAssoc( ASSOC_LEFT );
            setType( OPERATOR );
        }
        virtual ~ExpressionFvPlus();

        void interpret( RPNStack& rpnStack )
        {
            RPNStackItem * a = rpnStack.pop();
            RPNStackItem * b = rpnStack.pop();

            if( a->getType() == RPNStackItem::NUMBER && b->getType() == RPNStackItem::NUMBER )
            {
                RPNStackItem* item = new RPNStackItem();
                item->setNumber( a->getNumber() + b->getNumber() );
                rpnStack.push( item );
            }
            else
            {
                // throw
            }
            delete a;
            delete b;
        }
        wxString toString() { return _T("+"); }
    protected:
    private:
};

#endif // EXPRESSIONFVPLUS_H
