#ifndef EXPRESSIONFVSHIFTL_H
#define EXPRESSIONFVSHIFTL_H

#include "ExpressionBase.h"

class ExpressionFvShiftL : public ExpressionBase
{
    public:
        ExpressionFvShiftL()
        {
            setPrec( 120 );
            setAssoc( ASSOC_LEFT );
            setType( OPERATOR );
        }
        virtual ~ExpressionFvShiftL();
        void interpret( RPNStack& rpnStack )
        {
            RPNStackItem * a = rpnStack.pop();
            RPNStackItem * b = rpnStack.pop();

            if((a->getType() == RPNStackItem::NUMBER) && (a->getType() == RPNStackItem::NUMBER ))
            {
                int number1 = (int) a->getNumber();
                int number2 = (int) b->getNumber();

                number2 = number2 << number1;

                RPNStackItem* item = new RPNStackItem();
                item->setNumber( (double) number2 );
                rpnStack.push( item );
            }
            else
            {
                    // throw
            }
            delete a;
            delete b;
        }
        wxString toString() { return _T("<<"); }
    protected:
    private:
};


#endif // EXPRESSIONFVSHIFTR_H
