#ifndef EXPRESSIONNUMBER_H
#define EXPRESSIONNUMBER_H

#include "ExpressionBase.h"

class ExpressionNumber : public ExpressionBase
{
    public:
        ExpressionNumber( double number_in )
        {
            m_number = number_in;
            setType( NUMBER );
        }
        virtual ~ExpressionNumber();

        void interpret(RPNStack& rpnStack)
        {
            RPNStackItem* item = new RPNStackItem();
            item->setNumber( m_number );
            rpnStack.push( item );
        }
        wxString toString() { return wxString::Format(_T("%f"),m_number); }
    protected:
    private:
        double m_number;
};



#endif // EXPRESSIONNUMBER_H
