#ifndef EXPRESSIONSTRING_H
#define EXPRESSIONSTRING_H

#include "ExpressionBase.h"

class ExpressionString : public ExpressionBase
{
    public:
        ExpressionString( const wxString& str )
        {
            m_string = str;
            setType( STRING );
        }

        virtual ~ExpressionString();

        void interpret( RPNStack& rpnStack )
        {
            RPNStackItem* item = new RPNStackItem();
            item->setString( m_string );
            rpnStack.push( item );
        }
        wxString toString() { return m_string; }
    protected:
    private:
        wxString m_string;
};



#endif // EXPRESSIONSTRING_H
