#include "parserexception.h"

ParserException::ParserException(const wxString& msg, int line)
    :m_msg  (msg)
    ,m_line (line)
{
    //ctor
}

ParserException::~ParserException()
{
    //dtor
}

wxString ParserException::toString()
{
    return wxString::Format(_T("%s in line :%d"), m_msg.c_str(), m_line);
}




