#ifndef VEMSDATALOGDESC_H
#define VEMSDATALOGDESC_H

#include <wx/arrstr.h>

#include "../common/types/DoubleArray.h"

//WX_DECLARE_OBJARRAY(double, DoubleArray);
WX_DECLARE_OBJARRAY(DoubleArray *, ECULogItemArray); // better name would be: ArrayOfDoubleArray

class VEMSDataLogDesc
{
    public:
        VEMSDataLogDesc();
        virtual ~VEMSDataLogDesc();
        ECULogItemArray * getVEMSDataLog();
        wxArrayString * getVEMSDataLogHeader();
        void setFilesArray(wxArrayString * files);
        wxArrayString * getFilesArray();

    protected:
    private:
        wxArrayString columnArray;
        ECULogItemArray ecuLogItemArray;

        wxArrayString *m_logFiles;
};



#endif // VEMSDATALOGDESC_H
