#include "ConfigValidatorBase.h"

#include "../FirmwareInfo.h"
#include "../common/VemsContext.h"

ConfigValidatorBase::ConfigValidatorBase()
{
    m_fwInfo = dynamic_cast<FirmwareInfo*>(VemsContext::getObject( _T("FirmwareInfo") ) );
}

ConfigValidatorBase::~ConfigValidatorBase()
{
}

void ConfigValidatorBase::registerCfgValidatorViewer( ConfigValidatorViewerBase* viewer )
{
    if ( m_viewers.Index( viewer ) == wxNOT_FOUND )
        m_viewers.Add( viewer );
}

void ConfigValidatorBase::unregisterCfgValidatorViewer( ConfigValidatorViewerBase* viewer )
{
    if ( m_viewers.Index( viewer ) != wxNOT_FOUND )
    {
        m_viewers.Remove( viewer );
    }
}

