#ifndef GAUGEDESCMANAGERXML_H
#define GAUGEDESCMANAGERXML_H

#include "GaugeDescHelper.h"
#include "GaugeDescManager.h"

#include "../vemsgauge/vemsgaugedesc.h"

class GaugeDescManagerXML: public GaugeDescManager
{
    public:
        GaugeDescManagerXML();
        virtual ~GaugeDescManagerXML();

        virtual bool LoadDescriptors(const wxString &filename);
        virtual bool SaveGaugeDescriptors(const wxString &filename);
        virtual bool SaveGaugeDescriptor(VEMSGaugeDesc * desc);
        virtual bool AddGaugeDescriptor(VEMSGaugeDesc * desc);
        virtual short ManageColoredArea( short command, ColoredArea * ca, int desc_id = -1 );

        virtual void GetTypeList(wxArrayString &arr) {};
        virtual bool AddSymbolDesc(const wxString &name, const wxString &type, const wxString &title) {return true;};
        virtual wxVariant GetGaugeDescFieldBySymbolName( const wxString &symbolname, const wxString &fieldname ) {return 0;};

        virtual wxString GetType() { return _T("XML"); };


        void LoadGaugeSymbols(const wxString &filename);

    protected:
    private:

        wxString    m_descFilename;

};

#endif // GAUGEDESCMANAGERXML_H
