#ifndef SAVECONFIGERRORDIALOG_H
#define SAVECONFIGERRORDIALOG_H


#include <wx/wx.h>


class SaveConfigErrorDialog : public wxDialog
{
    public:
        enum { ID_WEBTOOL, ID_DOWNLOAD_CONFIG, ID_DOWNLOAD_CONFIG_TO, ID_CANCEL };

    public:
        SaveConfigErrorDialog(  wxWindow* parent,
                                wxWindowID id,
                                const wxString& title,
                                const wxString& firmwareVersionAsString,
                                bool online,
                                const wxPoint& pos = wxDefaultPosition,
                                const wxSize& size = wxDefaultSize,
                                long style = wxDEFAULT_DIALOG_STYLE,
                                const wxString& name = _T("dialogBox") );

        virtual ~SaveConfigErrorDialog() {}

    private:

        void OnButton( wxCommandEvent& event );
        DECLARE_EVENT_TABLE()
};

#endif // SAVECONFIGERRORDIALOG_H
