#ifndef SERIALCONFIGPANEL_H
#define SERIALCONFIGPANEL_H

#include <wx/wx.h>

class SerialConfigPanel : public wxPanel
{
    public:
        SerialConfigPanel( wxWindow* parent );
        virtual ~SerialConfigPanel();
    protected:
    private:
        wxTextCtrl* m_textECUPort;
        //wxTextCtrl* m_textGPSPort;
        //wxTextCtrl* m_textGPSSpeed;

        void buildGUI();
        void initData();
        void setData();

        void OnButton( wxCommandEvent& event );
        DECLARE_EVENT_TABLE();
};


class SerialConfigDialog : public wxDialog
{
    public:
        SerialConfigDialog( wxWindow* parent );
        virtual ~SerialConfigDialog();
    protected:
    private:
        void buildGUI();
};

#endif // SERIALCONFIGPANEL_H
