#ifndef LOGFILTER_H
#define LOGFILTER_H

#include "../common/types/DoubleHash.h"

const wxString expressionValue = _T("_exprvalue_");

class LogFilter
{
    public:
        LogFilter();
        LogFilter( const wxString& str );
        virtual ~LogFilter();

        wxString      getExpression() { return m_expression; }
        wxString      getFilter() { return m_filter; }
        virtual void  processData(const DoubleHash& data, bool passedFilter) = 0;
    protected:
        wxString      m_expression;
        wxString      m_filter;
    private:
};

#endif // LOGFILTER_H
