#ifndef NTCFINDER_H
#define NTCFINDER_H

#include "common/types/IntSet.h"
#include "common/types/IntSetHash.h"
#include "common/types/Uint32Hash.h"

enum{
        NTC_COOLANT,
        NTC_MAT
};

class NTCFinder
{
    public:
        NTCFinder();
        virtual ~NTCFinder();
        void getFileArrray(int type);
        wxString getFile(const uint32_t chkNum);
        IntSet getPageSet(const wxString& file);
        void toString();
         bool isOk;
    protected:
        IntSetHash m_file2PageSet;
        Uint32Hash m_chk2File;

    private:
};



#endif // NTCFINDER_H
