#include "DebugPanel.h"



#include "../UserLogWindow.h"
#include "../UserLog.h"
#include "../DebugTabObserver.h"

DebugPanel::DebugPanel(wxWindow *parent, wxWindowID id)
{
    //ctor
    Create(parent, id);
/*
    m_book = new wxBookCtrl(this, wxID_ANY);

    //m_textCtrl = new wxTextCtrl(book,wxID_ANY, _T(""),wxDefaultPosition, wxDefaultSize, wxTE_MULTILINE | wxTE_READONLY);

    m_ulogw = new UserLogWindow(m_book, wxID_ANY);

    UserLog::Init( m_ulogw );

    m_book->AddPage( m_ulogw, _T("Log") );


    wxBoxSizer * mainsizer = new wxBoxSizer(wxVERTICAL);

    mainsizer->Add(m_book,1,wxEXPAND);
*/

    m_ulogw = new UserLogWindow(this, wxID_ANY);

    UserLog::Init( m_ulogw );

    wxBoxSizer * mainsizer = new wxBoxSizer(wxVERTICAL);

    mainsizer->Add(m_ulogw,1,wxEXPAND);
	SetSizer(mainsizer);
	mainsizer->Fit(this);
	mainsizer->SetSizeHints(this);

}

DebugPanel::~DebugPanel()
{
    //dtor
}

void DebugPanel::setUserDialog(UserDialogBase* userDialog)
{
    m_ulogw->setUserDialog(userDialog);
}

