#ifndef PROJECTCONFIGPANEL_H
#define PROJECTCONFIGPANEL_H
#include <wx/wx.h>


class ProjectPanelDesc;
class FirmwareConfigItemArray;

class ProjectConfigPanel : public wxPanel
{
    public:
        ProjectConfigPanel(wxWindow* parent, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition,
            const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL, const wxString& name = _T("panel"));
        virtual ~ProjectConfigPanel();
        void set(const ProjectPanelDesc* panelDesc, FirmwareConfigItemArray* projectConfig);
        void ProjectConfigPanel::createPanel();
    protected:
    private:

    const ProjectPanelDesc* m_panelDesc;
    FirmwareConfigItemArray* m_projectConfig;
};



#endif // PROJECTCONFIGPANEL_H
