#include "SFloodThread.h"

#include "../VemsTuneController.h"
#include "../CommunicationBase.h"
#include "../logger.h"


SFloodThread::SFloodThread( VemsTuneController* controller, CommunicationBase* com )
{
    m_controller    = controller;;
    m_commBase      = com;
}


SFloodThread::~SFloodThread()
{
    //dtor
}


void* SFloodThread::Entry()
{

    m_controller->setECUOnline( false, true );

    while ( !this->TestDestroy() )
    {
        m_commBase->SendString( (uint8_t*)"S");
        m_commBase->getBaudRate();
        //Logger::logf(LOG_MSG,_T("SFloodThread::Entry(): %i"), bRate);
        wxThread::Sleep(1);
    }
    return 0;
}
