#ifndef RTDATACSVWRITER_H
#define RTDATACSVWRITER_H


#include "RTDataViewerBase.h"
#include "../loghistory/LogFilter.h"

class DataLogEntryArray;
class wxFile;

class RTDataCSVWriter : public RTDataViewerBase, public LogFilter
{
    public:
        RTDataCSVWriter(const DataLogEntryArray* entries);
        virtual ~RTDataCSVWriter();

        /// RTDataViewerBase
        void refresh(DoubleHash* table){};
        //void require(DoubleHash* table);
        void require();
        void unregisterSymbols();
        void SetValue(double value) {}
		wxString GetSelectedSymbol() {return wxEmptyString; }
		void SetValueIdx(int idx) {}

		/// LogFilter
		void  processData(const DoubleHash& data, bool passedFilter);

        /// own
        void setFileName(const wxString& filename);
		bool writeHeaders();
		void closeFile();

    protected:
    private:
        wxFile*     m_file;
        wxString    m_fileName;
        const DataLogEntryArray* m_entries;
        bool        m_isSymbolsRegistered;
};

#endif // RTDATACSVWRITER_H
