#ifndef RTDATAINPUTRINGBUFFERAIM_H
#define RTDATAINPUTRINGBUFFERAIM_H

#include "RTDataInputRingBufferSync.h"
#include "../events/AIMEvent.h"

class SyncObj;
class VemsProtocol;

class RTDataInputRingBufferAim : public RTDataInputRingBufferSync
{
    public:
        RTDataInputRingBufferAim(RingBuffer * rb, MTConfigData * mt, SyncObj* syncObj,
            VemsProtocol* vp);
        virtual ~RTDataInputRingBufferAim();
        RTDataInputType getType();
        int updateInputModel();
    protected:
    private:

        //char m_RTBuff[256];
        int getData();
//        AIMEvent::State m_state;

        VemsProtocol* m_vp;
        int m_state;
};
#endif // RTDATAINPUTRINGBUFFERAIM_H
