#ifndef RTDATAINPUTSOURCEEVENT_H
#define RTDATAINPUTSOURCEEVENT_H


#include <wx/event.h>

extern const wxEventType wxEVT_RT_DATA_INPUT;    /// without this MinGW gives undifened referenced linker error

#define EVT_RT_DATA_INPUT(id, func) \
    wx__DECLARE_EVT1(wxEVT_RT_DATA_INPUT, id, RTDataInputSourceEventHandler(func))

class RTDataInputSourceEvent : public wxEvent
{
    public:
        RTDataInputSourceEvent(int id = 0);
        int type;
        int eventID;
        virtual wxEvent *Clone() const { return new RTDataInputSourceEvent(*this); }
    private:


//    DECLARE_DYNAMIC_CLASS_NO_ASSIGN(VemsControlEvent)
    DECLARE_DYNAMIC_CLASS(RTDataInputSourceEvent)
};




typedef void (wxEvtHandler::*RTDataInputSourceEventFunction)(RTDataInputSourceEvent&);




#define RTDataInputSourceEventHandler(func) \
    (wxObjectEventFunction)(wxEventFunction)wxStaticCastEvent(RTDataInputSourceEventFunction, &func)



#endif // RTDATAINPUTSOURCEEVENT_H
