#ifndef RTDATAMGRLOG_H
#define RTDATAMGRLOG_H

#include "RTDataInputBase.h"
#include "../fileparser/vemsdatalogdesc.h" //only ECULogItemArray
//class VEMSDataLogDesc;


class RTDataMgrLog : public RTDataInputBase
{
    public:
        RTDataMgrLog(VEMSDataLogDesc* desc);
        virtual ~RTDataMgrLog();

        int refresh();
        double getValue(const wxString& symbolname);
        bool isExist(const wxString& symbolname);
        RTDataInputType getType();
        bool isValid();

        void reset() {};

    protected:

    private:
//        VEMSDataLogDesc*    m_dataLogDesc;
        wxArrayString*      m_symbolNames;
        ECULogItemArray*    m_items;
        size_t m_count;
        size_t m_maxCount;
};



#endif // RTDATAMGRLOG_H
