#ifndef WXSQLITE3EXCEPTIONMESSAGEBOX_H
#define WXSQLITE3EXCEPTIONMESSAGEBOX_H

#include "../bcWidgets/bcParentDialog.h"
#include <wx/wxsqlite3.h>

class wxSQLite3ExceptionMessageBox: public bcParentDialog
{
    public:
        wxSQLite3ExceptionMessageBox(wxWindow* parent, wxSQLite3Exception& e);
        virtual ~wxSQLite3ExceptionMessageBox();

    protected:

        void OnButton(wxCommandEvent& evt);

    private:

        enum {
            idButtonAbort,
            idButtonIgnore,
            idButtonCopy
        };

        wxString    m_msg;

        DECLARE_EVENT_TABLE();

};

#endif // WXSQLITE3EXCEPTIONMESSAGEBOX_H
