#ifndef STDATAIOBASE_H
#define STDATAIOBASE_H

#include <stddef.h>
#include "../common/typedef.h"


class STDataModelBase;


class STDataIOBase
{
    public:
        STDataIOBase() {}
        virtual ~STDataIOBase() {}

        void setModelBase( STDataModelBase * modelBase )
        {
            m_modelBase = modelBase;
        }

        virtual void readAllData() = 0;
        virtual void writeAllData() = 0;
        virtual void burnData() = 0;
        virtual void write( size_t page, size_t offset, uint8_t data ) {}
        virtual void read( int page ) {}

    protected:
        STDataModelBase* m_modelBase;

};


#endif // STDATAIOBASE_H
