#ifndef TBTBISLOGGING_H
#define TBTBISLOGGING_H


#include "VemsToolBarToolBase.h"
#include "../events/ECULogEvent.h"


class VemsTuneController;


class TbTbIsLogging: public VemsToolBarToolBase
{
    DECLARE_DYNAMIC_CLASS(TbTbIsLogging);

    public:
        TbTbIsLogging() {};
        TbTbIsLogging(int id);
        virtual ~TbTbIsLogging();

        void OnTool(wxCommandEvent &event);
        void OnToolR(wxCommandEvent &event);
        void OnToolEnter(wxCommandEvent &event);
        bool SendObject(int id, wxObject *object, const wxString &message = wxEmptyString);

        void Init();
        void OnECULogEvent(ECULogEvent& event);

    private:
        VemsTuneController* m_VemsTuneController;
};


#endif // TBTBISLOGGING_H
