#ifndef TBTBLOGPLAYSPEED_H
#define TBTBLOGPLAYSPEED_H

#include "VemsToolBarToolBase.h"

class FilePlayCommander;

class TbTbLogPlaySpeed : public VemsToolBarToolBase
{
    public:
        TbTbLogPlaySpeed() { }
        TbTbLogPlaySpeed( int id );
        virtual ~TbTbLogPlaySpeed();

    public:
        void    OnTool( wxCommandEvent &event );
        void    OnToolR( wxCommandEvent &event );
        void    OnToolEnter( wxCommandEvent &event ) { }

        void    Init();

        bool    SendObject( int id, wxObject *object, const wxString &message = wxEmptyString );

    protected:

    private:
        FilePlayCommander*  m_fpc;
        unsigned char       m_currentSpeed;

        friend class FilePlayCommander;

        DECLARE_DYNAMIC_CLASS( TbTbLogPlaySpeed );
};

#endif // TBTBLOGPLAYSPEED_H
