#include "TbTbPause.h"

#include "../DirHelper.h"


/** \class TbTbPause
  *
  * \~english
  * \brief pause
  * \details
  *
  *
  * \~hungarian
  * \brief pause
  * \details
  *
  * \~
  * \deprecated
  */

enum ToolBitmapIds
{
    TBI_PAUSE_INACTIVE,
    TBI_PAUSE_ACTIVE
};

IMPLEMENT_DYNAMIC_CLASS(TbTbPause,VemsToolBarToolBase)

TbTbPause::~TbTbPause()
{

}

TbTbPause::TbTbPause(int id)
        :VemsToolBarToolBase(id)
{

    m_bmpKeyListArray[TBI_PAUSE_ACTIVE].Add( DirHelper::GetPath(dICON) + _T("tbPauseActive48.png"));
    m_bmpKeyListArray[TBI_PAUSE_INACTIVE].Add( DirHelper::GetPath(dICON) + _T("tbPauseInactive48.png"));
}



void TbTbPause::OnTool(wxCommandEvent &event)
{

}


void TbTbPause::Init()
{

    InitBmpRes();

    m_defaultBitmap = m_bmpHash[TBI_PAUSE_ACTIVE];
    m_inactiveBitmap = m_bmpHash[TBI_PAUSE_INACTIVE];


    AddRequest(TN_AfterRealize);

    m_shortHelpString = _T("Pause");
    m_longHelpString  = _T("Pause log replay");

}


bool TbTbPause::SendObject(int id, wxObject *object, const wxString &message)
{


    switch(id) {
        case TN_AfterRealize:
                //SetToolInactiveBmp( m_bmpHash[TBI_PLAY_INACTIVE] );
                m_toolBar->EnableTool(m_toolID, false);
            break;

        default:
            break;
    }

    return true;
}

