#ifndef TRIGGERLOGRESULTS_H
#define TRIGGERLOGRESULTS_H

#include <wx/wx.h>
#include <wx/grid.h>
#include "../common/types/DoubleArray.h"
#include "TriggerLog.h"


class TriggerLogResults : public wxFrame
{
    public:
        TriggerLogResults( wxWindow* parent, TriggerLog* triggerLog );

    public:
        void    setTriggerLogFileName ( const wxString& filename ) { m_fileName = filename; }

    private:
        TriggerLog*     m_triggerLog;

        wxGrid*         m_grid;
        wxString        m_fileName;

    private:
        void    buildGUI();

        void    OnSaveCSV( wxCommandEvent& event );
        void    OnClose( wxCommandEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // TRIGGERLOGRESULTS_H
