#ifndef TRIGGERLOGSELECTOR_H
#define TRIGGERLOGSELECTOR_H

#include <wx/wx.h>

class TriggerLogSelector : public wxDialog
{
    public:
        TriggerLogSelector( wxWindow* parent );

    public:
        enum TLOG_SOURCE { TLOG_CANCEL = 0, TLOG_V3, TLOG_FILE /*, TLOG_TAILED_FILE */ };

        TLOG_SOURCE GetTriggerLogSource();

    private:

        TLOG_SOURCE m_tlogsource;

        void    OnButton( wxCommandEvent& evt );

        DECLARE_EVENT_TABLE()

};

#endif // TRIGGERLOGSELECTOR_H
