#ifndef RACESCACHE_H
#define RACESCACHE_H

#include <wx/config.h>
#include "../common/typedef.h"

using namespace std;
//class wxConfig;
class wxFile;

class RacesCache
{
    public:
        RacesCache();
        virtual ~RacesCache();
        void test();
         wxString checksum(const wxString& path);

        void initConfig();
        void save();

        int getGearNumber(const wxString& fileName, int raceNumber);
        void setGearNumber(const wxString& fileName, int raceNumber, int gearNumber);

        wxString getConfigFilePath();
        wxString getFileCheckSum(const wxString& fileName);
        wxString stdSrtig2wxString(const string& str);//you must use using namespace std
        string wxString2stdSrtig(const wxString& fileName);//you must use using namespace std


    protected:
    private:
        void checkAndCreateFile(const wxString& file);

        wxFile *m_racescache;
        uint16_t *m_buffer;

        static wxConfig * m_config;
        static wxString m_configFile;
};



#endif // RACESCACHE_H
