#ifndef SUPERCURVEDESCRIPTOR_H
#define SUPERCURVEDESCRIPTOR_H


struct SuperCurveRecord
{
    SuperCurveRecord( const wxString& curveName, const wxString& expr )
    {
        this->curveName = curveName;
        this->expr      = expr;
    }

    wxString curveName;
    wxString expr;
};


WX_DECLARE_OBJARRAY( SuperCurveRecord, SuperCurveRecordArray );


class SuperCurveDescriptor : public wxObject
{
    DECLARE_CLASS(SuperCurveDescriptor)

    public:
        wxString                name;
        SuperCurveRecordArray   records;
};


WX_DECLARE_STRING_HASH_MAP( SuperCurveDescriptor*, SuperCurveDescriptorH );


#endif // SUPERCURVEDESCRIPTOR_H
