#ifndef VEMSCURVEDIALOGDESC_H
#define VEMSCURVEDIALOGDESC_H

#include <wx/object.h>
#include <wx/wx.h>

class VemsCurveDialogDesc :public wxObject
{
    DECLARE_CLASS(VemsCurveDialogDesc)

    public:
        VemsCurveDialogDesc();
        virtual ~VemsCurveDialogDesc();
        wxString name;
        wxString title;
        wxString topicHelp;
        wxString columnLabelX;
        wxString labelFormatX;
        wxString columnLabelY;
        wxString labelFormatY;
        wxString xBins;
        wxString xRealTime;
        wxString yBins;
        wxString yRealTime;
        wxString gauge;

        double  minX;
        double  maxX;
        double  minY;
        double  maxY;
        bool    isXBinsReadOnly;
        int     divisionsX;
        int     divisionsY;
        bool    showHorizontalHelpLine;
        bool    showVerticalHelpLine;
        double  xBinsSmallStep;
        double  xBinsLargeStep;
        double  yBinsSmallStep;
        double  yBinsLargeStep;
};

WX_DECLARE_STRING_HASH_MAP( VemsCurveDialogDesc*, VemsCurveDialogDescH );


#endif // VEMSCURVEDIALOGDESC _H
