#ifndef GAUGESETHELPER_H
#define GAUGESETHELPER_H

#include "../gaugedesc/GaugeProperties.h"

class GaugeGroupManager;
class GaugeCarrierBase;


class GaugeSetHelper
{
    public:

        static bool ImportGauges(const wxString& filename, GaugeGroupManager* groupmgr, GaugeCarrierBase* carrier);
        static bool ImportGaugesFromStr(const wxString& xmlContent, GaugeGroupManager* groupmgr, GaugeCarrierBase* carrier);

        static bool ExportGauges(GaugePropertiesArray& items, const wxString& filename);
        static wxString ExportGauges(GaugePropertiesArray& items);

        static bool CheckXmlContentHeader(const wxString& content);
};

#endif // GAUGESETHELPER_H
