#ifndef SHAPEDWIDGETBASE_H
#define SHAPEDWIDGETBASE_H


class ShapedWidgetBase
{
    public:
        ShapedWidgetBase();
        virtual ~ShapedWidgetBase();

        virtual wxRegion GetShape() = 0;
        virtual wxRegion GetBorderRegion() = 0;

        virtual bool HasShape() { return m_hasShape; };
        virtual void SetShape(bool s) { m_hasShape = s; };

    protected:

        bool m_hasShape;

};

#endif // SHAPEDWIDGETBASE_H
