#ifndef WIDGETFACTORYBASE_H
#define WIDGETFACTORYBASE_H

class GaugeProperties;
class GaugeCarrierBaseDesc;
class VemsControlBase;

class WidgetFactoryBase: public wxObject
{
    DECLARE_ABSTRACT_CLASS(WidgetFactoryBase);

    public:
        WidgetFactoryBase();
        virtual ~WidgetFactoryBase();

        virtual VemsControlBase* CreateWidget(GaugeProperties &prop, GaugeCarrierBaseDesc* desc) = 0;

    protected:


};


WX_DECLARE_STRING_HASH_MAP( WidgetFactoryBase*, WidgetFactoryBaseHash );

#endif // WIDGETFACTORYBASE_H
