#ifndef ECUSTATEMGREVENTDTOR_H
#define ECUSTATEMGREVENTDTOR_H

#include <wx/event.h>
#include "ECUStateMgrBase.h"

class wxEventHandler;

class ECUStateMgrEventDtor : public ECUStateMgrBase
{
    public:
        ECUStateMgrEventDtor(ECUStateMgrBase* mgrBase, wxEvtHandler* evtHandler);
        virtual ~ECUStateMgrEventDtor();

        void reset();
        const ECUStateBaseArray* getStates( int device );
        int getStoredState();
        int getDevice();
        int getState();
        int setState( int state );
        int setState( int fromState, int toState );
        void setBaudRate( int baudRate );
        int getBaudRate();
    protected:
    private:
        ECUStateMgrBase* m_mgrBase;
        wxEvtHandler* m_evtHandler;
        //int m_state;
        //int m_device;
};



#endif // ECUSTATEMGREVENTDTOR_H
