#ifndef VEMSLOGHEADERPARSER_H
#define VEMSLOGHEADERPARSER_H

#include "../common/types/StringHash.h"
#include <wx/file.h>

#define HEADERBLOCKSIZE 512

class VemsLogHeaderParser
{
    public:
        VemsLogHeaderParser( wxFile& file );
        StringHash getHeaderHash();
    protected:
    private:
        char    m_headerBuffer[HEADERBLOCKSIZE];
        StringHash m_headerHash;
};

#endif // VEMSLOGHEADERPARSER_H
