#ifndef FIRMWAREVERSIONRECOGNIZER_H
#define FIRMWAREVERSIONRECOGNIZER_H

#include <wx/wx.h>
#include "../../common/typedef.h"
#include "IRecognizer.h"

class FirmwareVersionRecognizer : public IRecognizer
{
    public:
        FirmwareVersionRecognizer();
        virtual ~FirmwareVersionRecognizer();

        bool    feed( char c );
        void    reset();
        TxData* getReceivedData();

    private:
        enum States {   WAIT_FIRST_NUM,
                        WAIT_FIRST_DOT,
                        WAIT_SECOND_NUM,
                        WAIT_SECOND_DOT,
                        WAIT_THIRD_NUM,
                        WAIT_FOURTH_NUM,
                        FINISHED };

        wxString    m_serial;
        States      m_state;
};

#endif // FIRMWAREVERSIONRECOGNIZER_H
