#include "WebHelper.h"

#include "../logger.h"

#include <wx/url.h>


wxString WebHelper::DownloadPage(const wxString& link, wxMBConv& conv)
{
    wxURL url( link );

    char *data;

    wxString tmp;

    int buffsize = 1024;

    if (url.GetError() == wxURL_NOERR)
    {
        wxInputStream *ins = NULL;

        ins = url.GetInputStream();

        if(!ins) return wxEmptyString;

        data = new char[buffsize+1];
        data[buffsize] = 0;
        int lr=0;

        //int fsize = ins->GetSize();
        //Logger::logf(LOG_MSG,_T("%i"),fsize);
/*
        wxIPV4address stmp;

        url.GetProtocol().GetPeer( stmp );

        Logger::logf(LOG_MSG,_T("hostname=")+stmp.Service());
*/
//        Logger::logf(LOG_MSG,_T("pimp"));

        while(1){

            ins->Read(data,buffsize);
            lr = ins->LastRead();

            if(lr < 1) break;

            data[lr] = 0;

            tmp += wxString(data, conv);

        }

        delete[] data;
        //Logger::logf(LOG_MSG,_T("")+tmp);

    }

    return tmp;

}
