#include "wxRegExHelper.h"

#include <wx/regex.h>

bool wxRegExHelper::Matches(const wxString& pattern, const wxString& str, wxArrayString* matches)
{
    wxRegEx regexp;

    bool cres = regexp.Compile(pattern);

    if(!cres) return false;

    bool mres = regexp.Matches(str);

    if( mres == false ) return false;

    if( matches == NULL ) return true;

    size_t mc = regexp.GetMatchCount();

    for(size_t a=0; a < mc; a++) {
       matches->Add( regexp.GetMatch(str,a) );
    }

    return true;
}
