#ifndef FILEHELPER_H
#define FILEHELPER_H

#define NO_FILE_LIMIT (0)

enum FileSortOrders {
    ORDER_NONE = 0,
    ORDER_ASC,
    ORDER_DESC
};

class FileHelper
{
    public:

        static wxString GetFileContents(const wxString& filepath, wxMBConv& conv = wxConvUTF8);
        static bool PutFileContents(const wxString& filepath, const wxString& content, wxMBConv& conv = wxConvUTF8);

        static bool GetFilesExp(const wxString& path, wxArrayString& arr, const wxString& fileSpecExp, size_t limit = NO_FILE_LIMIT, FileSortOrders sortByFilename = ORDER_NONE);


};

#endif // FILEHELPER_H
