#include "FirmwareInfoHelper.h"

#include <wx/tokenzr.h>

void FirmwareInfoHelper::fillVersion( const wxString& s, FirmwareVersion& v )
{
    wxStringTokenizer tkz( s, _T(".") );
    long version[3] = { 0,0,0 };

    int i = 0;
    bool b = tkz.HasMoreTokens();

    for( ; b && i < 3; b = tkz.HasMoreTokens(), ++i )
    {
        tkz.GetNextToken().ToLong( &version[i] );
    }

    v.major = (int)version[0];
    v.minor = (int)version[1];
    v.build = (int)version[2];
}
