#ifndef REALTIMEDESC_H
#define REALTIMEDESC_H

#include "common/typedef.h"

class RealTimeDesc
{
    public:
        RealTimeDesc();

        static int init();
        static uint8_t * getCommand(){ return m_command; }
        static int getDataSize( ) { return m_dataSize; }
        static uint8_t * getData(){ return m_data; }
        static double getValue(int size, int offset, double scale, double translate);
        static int getValue(int size, int offset);
        // static void setData(){ return m_data; }
        static bool isDisabled(){ return m_disabled; }
        static void SetDisabled(bool b){ m_disabled = b; }
        static void SetDataSize( int d) { m_dataSize = d; }

        virtual ~RealTimeDesc();

        static int MAX_TRY_COUNT; //MAX_TRY_COUNT;
    protected:
    private:

        static bool m_disabled;

        static uint8_t* m_command;
        static int m_dataSize;
        static uint8_t* m_data;
};




#endif // RUNTIMEDESC_H
