#include "Utils.h"

#include <wx/tokenzr.h>

Utils::Utils()
{
    //ctor
}

Utils::~Utils()
{
    //dtor
}


bool Utils::tokenizeToArray(wxString& text, const wxString& token, wxArrayString& a)
{
    wxStringTokenizer tkz(text, token);
    bool r = false;
    while ( tkz.HasMoreTokens() )
    {
        wxString tokenStr = tkz.GetNextToken();
        a.Add(tokenStr );
        r  =true;
       // fprintf(stdout,"Token: %s", UnicodeHelper::U2C(tokenStr) );
    }
    return r;
}

int Utils::parseKeyValuePairToHash(wxString& text, const wxString& token, StringHash& h)
{
    wxArrayString tokens;
    wxString msg;
    tokenizeToArray(text, token, tokens);

    if (tokens.GetCount() != 2)
    {
        return -1;
    }
    wxString key = tokens.Item(0);
    wxString value = tokens.Item(1);

    h[key] = value;
    return 0;
}
