#include "VemsGuideHtmlWindow.h"

#include "logger.h"
#include "vemsdialog/UserDialogBase.h"

VemsGuideHtmlWindow::VemsGuideHtmlWindow(UserDialogBase* userDialog, wxWindow * parent, int id)
{
    //ctor
    m_userDialog = userDialog;
    Create( parent, id, wxDefaultPosition, wxDefaultSize, wxHW_DEFAULT_STYLE | wxBORDER_SUNKEN);
}

VemsGuideHtmlWindow::~VemsGuideHtmlWindow()
{
    //dtor
}

void VemsGuideHtmlWindow::OnLinkClicked(const wxHtmlLinkInfo& link)
{
    Logger::logf(LOG_MSG,_T("link href=")+link.GetHref()+_T(", target=")+link.GetTarget());
    if(m_userDialog) m_userDialog->showDialog(link.GetHref(), link.GetTarget() );
}
