#include "VemsProtocolHelper.h"

#include "serialhelper.h"
#include "confighelper.h"

#if !defined (__WINCE_STANDARDSDK__)
#include "helper.h"

#endif


VemsProtocol * VemsProtocolHelper::m_vemsProtocol = NULL;


VemsProtocolHelper::VemsProtocolHelper()
{
    //ctor
}

VemsProtocolHelper::~VemsProtocolHelper()
{
    //dtor
}


VemsProtocol * VemsProtocolHelper::getVemsProtocol()
{
    if(m_vemsProtocol == NULL){
        m_vemsProtocol = new VemsProtocol( getSerialPortHandler(), NULL );
    }
    //m_vemsProtocol->setSerial(getSerialPortHandler());
    return m_vemsProtocol;
}

SerialPortHandler * VemsProtocolHelper::getSerialPortHandler()
{

    //m_serialPortHandler->setSerialConfig(*m_serialConfig);

//#if !defined (__WINCE_STANDARDSDK__)
    SerialHelper::getVemsSerial()->setSerialConfig(ConfigHelper::getECUSerialConfig());
//#endif

    return SerialHelper::getVemsSerial();


}

