#ifndef WXAGGCOLORTESTFRAME_H
#define WXAGGCOLORTESTFRAME_H

#include <wx/wx.h>

class ColorWindow: public wxControl
{
    public:
        ColorWindow(wxWindow* parent);

        void SetColor(const wxColor& color);



    protected:

        void OnSize(wxSizeEvent& evt);
        void OnPaint(wxPaintEvent& evt);

        wxColor m_color;

        DECLARE_EVENT_TABLE();
};

class wxAggColorTestFrame: public wxFrame
{
    public:
        wxAggColorTestFrame(wxWindow* parent);
        virtual ~wxAggColorTestFrame();

    protected:



        void OnScroll(wxScrollEvent& evt);

    private:

        enum {
            idSliderRed,
            idSliderBlue,
            idSliderGreen,
            idSliderAlpha
        };

        wxSlider*   m_sliderRed;
        wxSlider*   m_sliderGreen;
        wxSlider*   m_sliderBlue;
        wxSlider*   m_sliderAlpha;

        ColorWindow *   m_colorWin;

        DECLARE_EVENT_TABLE();

};

#endif // WXAGGCOLORTESTFRAME_H
