#ifndef BCLINKINFO_H
#define BCLINKINFO_H


class bcLinkInfo
{
    /// if(label == wxEmptyString) sets label from href
    public:
        bcLinkInfo(const wxString& href = wxEmptyString, const wxString& label = wxEmptyString, const wxString& title = wxEmptyString, const wxString& target = wxEmptyString ){
            HRef = href;
            Label = label;
            Title = title;
            Target = target;
            LabelLimit = 0;
        }
        virtual ~bcLinkInfo() {};

        size_t   LabelLimit;

        wxString GetLabel() const;

        bool isHyperLink() const;

        wxString HRef;
        wxString Label;
        wxString Title;
        wxString Target;

};

#endif // BCLINKINFO_H
