#ifndef BCSTDDIALOGBUTTONSIZER_H
#define BCSTDDIALOGBUTTONSIZER_H

class bcButton;

class bcStdDialogButtonSizer: public wxBoxSizer
{
    public:
        bcStdDialogButtonSizer();
        virtual ~bcStdDialogButtonSizer();

        void AddButton(bcButton *button);

        void SetAffirmativeButton( bcButton *button );
        void SetNegativeButton( bcButton *button );
        void SetCancelButton( bcButton *button );

        void Realize();

        bcButton *GetAffirmativeButton() const { return m_buttonAffirmative; }
        bcButton *GetApplyButton() const { return m_buttonApply; }
        bcButton *GetNegativeButton() const { return m_buttonNegative; }
        bcButton *GetCancelButton() const { return m_buttonCancel; }
        bcButton *GetHelpButton() const { return m_buttonHelp; }

    protected:
        bcButton *m_buttonAffirmative;  // wxID_OK, wxID_YES, wxID_SAVE go here
        bcButton *m_buttonApply;
        bcButton *m_buttonNegative;     // wxID_NO
        bcButton *m_buttonCancel;
        bcButton *m_buttonHelp;
};

#endif // BCSTDDIALOGBUTTONSIZER_H
