#include "FSMString.h"
#include <wx/wx.h>

FSMString::FSMString(const wxString& stateStr)
{
    //ctor
    m_stateStr = stateStr;
    m_stateIdx = 0;
}

FSMString::~FSMString()
{
    //dtor
}

void FSMString::init()
{
    m_stateIdx = 0;
}

bool FSMString::isEnded(){
    if(m_stateIdx == m_stateStr.size() ) return true ;
     return false;
}

size_t FSMString::rx(wxChar chr)
{
    /// Already has gone through the string - start again
    if(m_stateIdx == m_stateStr.size() ){
        m_stateIdx = 0;
    }

    wxChar charToWait = m_stateStr.GetChar(m_stateIdx);
    if(charToWait == chr){
        m_stateIdx++;
    }else{ /// Reset
        m_stateIdx = 0;
    }

    return m_stateIdx;
}
