#ifndef MMCFILESDESC_H
#define MMCFILESDESC_H

#include "../FirmwareInfo.h"
#include "types/wxVariantHash.h"
#include "typedef.h"

class MMCFilesDesc
{
    public:
        MMCFilesDesc() : RowId(-1), Time(0), isApprox( false ), StartAddress(0), EndAddress(0), DataSize(0), SampleCnt(5) {}

        int             RowId;
        //wxString OutFilename;
        uint32_t        Time;       // log length
        bool            isApprox;   // is time only approximately calculated?

        FirmwareVersion fw;

        uint8_t         DataType;   // raw or triggerframe
        uint32_t        StartAddress;
        uint32_t        EndAddress;
        uint32_t        StopIndex;

        wxVariantHash   Summaries;

        int             DataSize;
        long            SampleCnt;
};

WX_DECLARE_OBJARRAY( MMCFilesDesc, MMCFilesDescA );

#endif // MMCFILESDESC_H
