#ifndef THREADPROCESS_H
#define THREADPROCESS_H

#include "ProcessBase.h"
#include "../Observable.h"

template <class T>
class ThreadProcess: public ProcessBase
{
    public:
        ThreadProcess( T* target ) { m_target = target; };
        virtual ~ThreadProcess() {};

                                /// don't call GUI elements
        virtual bool process() { return m_target->process(); };
        virtual void reset() {};

    private:

        virtual void finished() {};

        T* m_target;
};

#endif // THREADPROCESS_H
