#include "wxArrayHelper.h"

#include <wx/wx.h>
#include <wx/dynarray.h>
#include "../common/types/IntArray.h"

wxArrayHelper::wxArrayHelper()
{
    //ctor
}

wxArrayHelper::~wxArrayHelper()
{
    //dtor
}

void wxArrayHelper::removeArray(wxArrayString& a, wxArrayString& b)
{
    for(size_t i = 0; i < b.GetCount(); i++){
        wxString value = b.Item(i);
        a.Remove(value);
    }
}


bool wxArrayHelper::SwapArrayItems(IntArray& array, int idx1, int idx2)
{
    if( idx1 == idx2 ) return false;

    int idx_lower = idx1 < idx2 ? idx1 : idx2;
    int idx_higher = idx1 > idx2 ? idx1 : idx2;

    int item_lower  = array[idx_lower];
    int item_higher = array[idx_higher];

    array.RemoveAt(idx_higher);
    array.RemoveAt(idx_lower);

    array.Insert( item_higher, idx_lower );
    array.Insert( item_lower, idx_higher );

    return true;
}
