#ifndef COMMUNICATIONCLIENTEVENTTYPES_H
#define COMMUNICATIONCLIENTEVENTTYPES_H

namespace CommunicationClientEvent
{
    enum Type
    {
        DEVICE_FOUND,
        DEVICE_NOT_FOUND,
        DEVICE_PROTECTED,
        DEVICE_NOT_PROTECTED,
        FIRMWARE_INFO_FETCHED,
        FIRMWARE_DATA_SYNCED,
        BAUD_RATE_CHANGED,
        DEVICE_MODE_SELECTED,
        CONFIG_DOWNLOADED,
        TIMEOUT,
        EEPROM_DOWNLOADED,
    };

    wxString toString( Type eventType );
};

#endif // COMMUNICATIONCLIENTEVENTTYPES_H
