#ifndef CONDTREE_H
#define CONDTREE_H



class CondTree
{
    public:
        enum State {
            IN_IF,
            IN_ELSE,
			NOT_IF
        };
        CondTree();
        virtual ~CondTree();
        CondTree * getParent();
        void setParent(CondTree * ct);
        void setState(State state);
        State getState();
        void setCondValue(bool val);
        bool getCondValue();
        bool isValid(); // depends on state
        bool isActive(); // invoke parent
    protected:
    private:

     CondTree * m_parent;
     bool m_state;
     bool m_condValue;
};



#endif // CONDTREE_H
