#ifndef VEMSDEVICECONTROLLERCONFIG_H
#define VEMSDEVICECONTROLLERCONFIG_H


#include <wx/wx.h>


class VemsDeviceControllerConfig : public wxObject
{
    DECLARE_DYNAMIC_CLASS(VemsDeviceControllerConfig)

    public:
        VemsDeviceControllerConfig();
        virtual ~VemsDeviceControllerConfig();

        wxString mode;

        wxString port;

        long timeout;
        long rtErrorCount;
        long interWriteDelay;
        long preferredBaudrate;
        long baudrate;
        long fwUploadBaudrate;

        long sdcardBaudrate;

        wxString protocol;
        wxString readRealtime;

        wxString ip;
        long tcpTimeout;

};


#endif // VEMSDEVICECONTROLLERCONFIG_H
