#include "wxCheckBoxEx.h"

#include "../logger.h"
/*
BEGIN_EVENT_TABLE(wxCheckBoxEx, wxCheckBox)

    EVT_SET_FOCUS(wxCheckBoxEx::OnSetFocus)
    EVT_KILL_FOCUS(wxCheckBoxEx::OnKillFocus)

END_EVENT_TABLE()
*/
IMPLEMENT_DYNAMIC_CLASS(wxCheckBoxEx,wxCheckBox);

wxCheckBoxEx::wxCheckBoxEx(wxWindow* parent, wxWindowID id, const wxString& label, const wxPoint& pos, const wxSize& size, long style, const wxString& name, bool isPending)
    :wxCheckBox(parent,id,label,pos,size,style,wxDefaultValidator,name)
    ,ControlColorContentValidator(this,_T("42"),_T("ANY"),isPending)
{
    //ctor

    Connect(wxEVT_COMMAND_CHECKBOX_CLICKED, wxCommandEventHandler(wxCheckBoxEx::OnUpdated) );
}

wxCheckBoxEx::~wxCheckBoxEx()
{
    //dtor
}

void wxCheckBoxEx::OnUpdated(wxCommandEvent& evt)
{
    evt.Skip();
    DoOnUpdated(false);
}

void wxCheckBoxEx::OnSetFocus(wxFocusEvent& evt)
{
    evt.Skip();
    DoSetFocus();
}

void wxCheckBoxEx::OnKillFocus(wxFocusEvent& evt)
{
    evt.Skip();
    DoKillFocus();
}
