#include "SDCardEvent.h"

DEFINE_EVENT_TYPE( wxEVT_SDCARD )
IMPLEMENT_DYNAMIC_CLASS( SDCardEvent, wxEvent )

SDCardEvent::SDCardEvent( int id ) : wxEvent( id, wxEVT_SDCARD )
{
}

void SDCardEvent::SetFiles( const MMCFilesDescA& desc )
{
    m_sdfiles = desc;
}

MMCFilesDescA SDCardEvent::GetFiles() const
{
    return m_sdfiles;
}

void SDCardEvent::SetInt( int value )
{
    m_intvalue = value;
}

int SDCardEvent::GetInt() const
{
    return m_intvalue;
}

void SDCardEvent::SetString( const wxString& str )
{
    m_stringvalue = str;
}

wxString SDCardEvent::GetString() const
{
    return m_stringvalue;
}

void SDCardEvent::SetType( unsigned int type )
{
    m_type = type;
}

unsigned int SDCardEvent::GetType() const
{
    return m_type;
}

void SDCardEvent::SetVariant( const wxVariant& var )
{
    m_variant = var;
}

wxVariant SDCardEvent::GetVariant() const
{
    return m_variant;
}

void    SDCardEvent::SetDataType(unsigned int dataType)
{
    m_dataType = dataType;
}
unsigned int    SDCardEvent::GetDataType()const
{
    return m_dataType;
}
