#ifndef EXPRESSIONFVST_H
#define EXPRESSIONFVST_H

#include "ExpressionBase.h"

class ExpressionFvST : public ExpressionBase
{
    public:
        ExpressionFvST()
        {
            setPrec( 110 );
            setAssoc( ASSOC_RIGHT );
            setType( OPERATOR );
        }
        virtual ~ExpressionFvST();

        void interpret( RPNStack& rpnStack )
        {
            RPNStackItem* b = rpnStack.pop();
            RPNStackItem* a = rpnStack.pop();

            if( a->getType() == RPNStackItem::NUMBER && b->getType() == RPNStackItem::NUMBER )
            {
                int result = a->getNumber() < b->getNumber();

                RPNStackItem* item = new RPNStackItem();
                item->setNumber( (double) result );
                rpnStack.push( item );
            }
            delete a;
            delete b;

        }
        wxString toString() { return _T("<"); }
    protected:
    private:
};



#endif // EXPRESSIONFVST_H
