#ifndef MYMAKEPARSER_H
#define MYMAKEPARSER_H

#include "parserbase.h"
#include "../common/types/String2IntHash.h"

class MyMakeParser : public ParserBase
{
    public:
        MyMakeParser() { m_defines.clear(); }

    public:
        String2IntHash  getDefines() const { return m_defines; }

        void            parseLine();

    private:
        String2IntHash  m_defines;
};

#endif // MYMAKEPARSER_H
