#ifndef RPMFROMFILE_H
#define RPMFROMFILE_H
#include "parserbase.h"
#include "../signalgen/signalgauges/RTSignalViewerBase.h"
#include "../common/types/IntArray.h"

#include "vemsdatalogdesc.h"

class AudioPanel;

class RpmFromFile: public ParserBase , public RTSignalViewerBase
{
    public:
        RpmFromFile(AudioPanel* audiopanel);
        virtual ~RpmFromFile();
        void parseLine();

/*virtual*/ void refresh(DoubleHash* table);
        void    SetRpmIdx(uint16_t idxvalue){m_RpmIdx=idxvalue;}
        double GetRpmValue();

    protected:
    private:
    AudioPanel* m_audiopanel;
    double m_RpmValue;
    IntArray m_RpmArray;
    uint16_t m_RpmIdx;
    VEMSDataLogDesc csvDataLogDesc;

};

#endif // RPMFROMFILE_H
