#include "SymbolParser.h"
#include "V3iniTokenizer.h"
#include "../logger.h"


SymbolParser::SymbolParser(  const TokenizerPtrArray* tokenizers, SymbolMgr* symbolManager )
{
    m_tokenizers    = tokenizers;
    m_symbolManager = symbolManager;
}

SymbolParser::~SymbolParser()
{

}

void SymbolParser::parse()
{
    LOGP( wxString::Format( _T("m_tokenizers->GetCount(): %d"), m_tokenizers->GetCount() ) );

    for ( size_t i = 0; i < m_tokenizers->GetCount(); ++i ) {
        Tokenizer* tokenizer = m_tokenizers->Item(i);

        LOGP( wxString::Format( _T("%d"), i ) +  (*tokenizer)[0] );
    }
}
