#ifndef PARSEREXCEPTION_H
#define PARSEREXCEPTION_H

#include <wx/string.h>

class ParserException
{
    public:
        ParserException(const wxString& msg, int line);
        virtual ~ParserException();

        wxString    msg(){ return m_msg; }
        int         line(){ return m_line; }
        wxString toString();
    protected:
    private:
        wxString    m_msg;
        int         m_line;
};



#endif // PARSEREXCEPTION_H
