#ifndef CONFIGVALIDATORBASE_H
#define CONFIGVALIDATORBASE_H

#include "ConfigValidatorViewerBase.h"

class FirmwareInfo;
class STDataModelBase;

class ConfigValidatorBase
{
    public:
        ConfigValidatorBase();
        virtual ~ConfigValidatorBase();

        virtual void validate( STDataModelBase* stDataModel ) = 0;

        void    registerCfgValidatorViewer( ConfigValidatorViewerBase* viewer );
        void    unregisterCfgValidatorViewer( ConfigValidatorViewerBase* viewer );

    protected:

        FirmwareInfo*               m_fwInfo;
        ConfigValidatorViewerBaseA  m_viewers;
};

#endif // CONFIGVALIDATORBASE_H
