#ifndef FUNCTIONBASE_H
#define FUNCTIONBASE_H

#include "common/types/DoubleArray.h"

#include <wx/arrstr.h>

class FunctionBase
{
    public:
        FunctionBase();
        virtual ~FunctionBase();
        void addParam(double value);
        void addParam(wxString value);
        virtual double exec() = 0;
        virtual FunctionBase * Create() = 0;
    protected:
         DoubleArray    m_doubleArray;
         wxArrayString  m_stringArray;
    private:

};


#endif // FUNCTIONBASE_H
