#ifndef ADDECUDIRFRAME_H
#define ADDECUDIRFRAME_H

#include <wx/wx.h>
#include "../common/types/Int2IntHash.h"

class AddECUDirScrolled : public wxScrolledWindow
{
    public:
        AddECUDirScrolled( wxWindow* parent );
        void updateDb();

    protected:

    private:
        wxArrayString   m_dirs;

        wxCheckBox**    m_checkboxes;
        Int2IntHash     m_chboxId;
        wxButton*       m_accept;
        wxButton*       m_cancel;

        void OnCheckBox( wxCommandEvent& event );
        void buildGUI();
};

class AddECUDirDialog : public wxDialog
{
    public:
        AddECUDirDialog( wxWindow * parent );
        ~AddECUDirDialog();

    protected:

    private:
        AddECUDirScrolled*  m_scrolled;

        void OnCancel( wxCommandEvent& event );
        void OnOK( wxCommandEvent& event );

    DECLARE_EVENT_TABLE()
};

class SelectECUFromDbDialog : public wxDialog
{
    public:
        SelectECUFromDbDialog( wxWindow* parent );
        ~SelectECUFromDbDialog();

        wxString getSelectedECUName() { return m_selectedECUName; }

    private:
        wxArrayString   m_eculist;
        wxComboBox*     m_combobox;
        wxString        m_selectedECUName;

        void OnOK( wxCommandEvent& event );

        DECLARE_EVENT_TABLE()
};

#endif // ADDECUDIRFRAME_H
