#include "EnvironmentEditFrame.h"

#include "../ConfigEditPanel.h"

EnvironmentEditFrame::EnvironmentEditFrame(ConfigBase * configBase,
wxWindow* parent, wxWindowID id,const wxString& title, const wxPoint& pos, const wxSize& size, long style)
                : wxFrame( parent, id, title, pos, size, style )
{
    wxPanel* mainPanel      = new wxPanel( this, wxID_ANY );
    wxBoxSizer* frameSizer  = new wxBoxSizer( wxVERTICAL );

    wxString path       = _T("/environment");
    wxString defPath    = _T("/environment");
    wxString subPath    = _T("/environment");

    m_configEditPanel = new ConfigEditPanel( mainPanel, wxID_ANY, _T("/environment")
                             , configBase, path, defPath, subPath );

    frameSizer->Add( m_configEditPanel, 0, wxEXPAND | wxALL, 5 );

    mainPanel->SetSizer( frameSizer );
    mainPanel->Fit();

    SetClientSize( mainPanel->GetSize() );
    SetMinSize( GetSize() );
}

EnvironmentEditFrame::~EnvironmentEditFrame()
{

}
