#ifndef EXPRESSIONPANEL_H
#define EXPRESSIONPANEL_H

#include <wx/wx.h>
#include <wx/notebook.h>

class PageBase;

class ExpressionPanel : public wxPanel
{
    public:
        ExpressionPanel( wxWindow* parent, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition,
            const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = _T("panel") );

    protected:

    private:
        PageBase*           m_exprpg;
        PageBase*           m_filterpg;

        wxNotebook*         m_notebook;

        wxComboBox*         m_symbolcombo;

        void                OnSave( wxCommandEvent& event );
        void                OnAdd( wxCommandEvent& event );
        void                OnDelete( wxCommandEvent& event );
        void                OnValidate( wxCommandEvent& event);

        DECLARE_EVENT_TABLE()

};

#endif // EXPRESSIONPANEL_H
