#include "GPSConsumerThread.h"
#include "../rtdatamanager/RTDataInputRingBufferSyncGPS.h"


GPSConsumerThread::GPSConsumerThread( RTDataInputRingBufferSync* rbInput )
{
    m_rbInput = rbInput;
}

GPSConsumerThread::~GPSConsumerThread()
{
    //dtor
}

void* GPSConsumerThread::Entry()
{
    while ( true )
    {
        waitEnable();
        m_rbInput->updateViewerModel();   //This will wait if the ring buffer is empty;
    }

    return 0;
}
