#include "ConfigSwitchState.h"
#include "../common/ConfigSwitchTargetTypes.h"


ConfigSwitchState::ConfigSwitchState( const wxString& symbolName, SymbolMgr* symbolManager )
 : RTSymbolViewer( symbolName, symbolManager )
{

}

ConfigSwitchState::~ConfigSwitchState()
{
}

int ConfigSwitchState::getConfigType() const
{
    if ( isUpdated() ) {
        return (int)getLastValue();
    } else {
        return CFG_UNKNOWN;
    }
}

wxString ConfigSwitchState::getConfigTypeString() const
{
    switch ( getConfigType() )
    {
        case CFG_A:
            return _T("-A");

        case CFG_B :
            return  _T("-B");

        default:
            return wxEmptyString;;
    }
}
