#ifndef RTDATAANALYZERBASE_H
#define RTDATAANALYZERBASE_H

#include "RTDataViewerBase.h"

class RTDataAnalyzerBase : public RTDataViewerBase
{
    public:
        RTDataAnalyzerBase();
        virtual ~RTDataAnalyzerBase();

        void setRequiredSymbols( wxArrayString symbols );

        void require();
        void unregisterSymbols();

        void refresh( DoubleHash* table );

        void SetValue( double value ) { }
        void SetValueIdx( int idx ) { }

    protected:
        virtual void    processData() = 0;
        DoubleHash*     m_data;

    private:
        wxArrayString   m_requiredSymbols;
        bool            m_symregistered;

};

#endif // RTDATAANALYZERBASE_H
