#include "RTDataInputSIPR.h"

#include "RT2ViewerConverter.h"
#include "../logger.h"

RTDataInputSIPR::RTDataInputSIPR( SymbolMgr* symbolManager, DoubleHash* viewerModel )

{
    //ctor
    m_converter = new RT2ViewerConverter(symbolManager, viewerModel);
}

RTDataInputSIPR::~RTDataInputSIPR()
{
    //dtor
}

void RTDataInputSIPR::refreshDependency()
{
    m_converter->refreshDependency(*m_RegisteredSymbolTable);
}

void RTDataInputSIPR::convert(const SIPRPacket& packet)
{
    m_converter->convert(packet, *m_RegisteredSymbolTable);
}

void RTDataInputSIPR::convert(uint8_t* buff, int size)
{
    m_converter->convert(buff, size, *m_RegisteredSymbolTable, -1);
}

double RTDataInputSIPR::getValue(const wxString& symbolname)
{
    return -1;
}

int RTDataInputSIPR::updateViewerModel()
{
	return 0;
}

void RTDataInputSIPR::reset()
{
    //m_RegisteredSymbolTable->clear();
    m_converter->resetHash();
}

