#ifndef RTDATASTATHELPER_H_INCLUDED
#define RTDATASTATHELPER_H_INCLUDED

WX_DECLARE_OBJARRAY(wxColor, GradientColorArray);

struct cell {
    int row;
    int col;
    bool operator == (cell c) { return (col == c.col && row == c.row ); }
    bool operator != (cell c) { return (col != c.col || row != c.row ); }
};


const cell invalid_cell = { -1, -1 };


#endif // RTDATASTATHELPER_H_INCLUDED
