#ifndef MAIN_PULSE_TRAIN_H
#define MAIN_PULSE_TRAIN_H
#include <wx/wx.h>
#include "../events/InputEvent.h"
#include "AudioPanel.h"
class AudioPanel;

class InputHandler : public wxEvtHandler
{
    public:
        //InputHandler() { Connect( wxEVT_INPUT, wxID_ANY, InputEventHandler(InputHandler::OnInput), NULL, this ); }
        InputHandler() { this->Connect( wxID_ANY, wxEVT_INPUT, InputEventHandler(InputHandler::OnInput) ); }
        //m_listCtrl->Connect(wxEVT_LEFT_DOWN, wxMouseEventHandler(FileDialog::OnListCtrlLeftDown),NULL, this);
        void OnInput( InputEvent& event ) { wxLogMessage( _T("InputHandler::OnInput()") ); }
};

class Sipr;

class Main_Pulse_train : public wxEvtHandler
{
    public:
        Main_Pulse_train(AudioPanel* audioPanel);
        virtual ~Main_Pulse_train();
    protected:
    private:
    AudioPanel* m_audioPanel;
    Sipr*       m_sipr;
    void OnInput( InputEvent& event );
    DECLARE_EVENT_TABLE();

};



#endif // MAIN_PULSE_TRAIN_H
