#include "SimulatedAnnealing.h"
#include "Histogram.h"

#include <stdlib.h>
#include <stdio.h>

SimulatedAnnealing::SimulatedAnnealing()
:m_amplitude(300) // max amplitude
,m_heat(200) // change with amp
,m_sum(0) // new_amplitudes * current_amplitudes
{
    //ctor
}

SimulatedAnnealing::~SimulatedAnnealing()
{
    //dtor
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/* creat random_number beetwen -1 and 1*/
double SimulatedAnnealing::creatRandomNumber()
{
    double ran;

    ran = rand() % 20 + 1;
    ran -=10;
    ran /= 10;

    return ran;
}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/* search optimal max amplitude */

void SimulatedAnnealing::simulatedAnnealing(Histogram& hg)
{
    printf("simulated_annealing\n");

    int n = 0;
    for(n = 0 ; n < 100000 ; n++){

        double sum2 = 0;
        double heat = m_heat;
        double ran;
        int amplitude = (int)m_amplitude;
        ran  = creatRandomNumber();

        heat   *= ran;
        amplitude += (int)heat;

        if(amplitude < 0 ){
        amplitude -= (int)(2*heat);
        }

        if(amplitude > 750 ){
        amplitude -= (int)(2*heat);
        }

        hg.setModell(amplitude);
        sum2 =  hg.konvulucio();

        if( sum2 > m_sum){
            printf("n  =%d\n", n);
            printf("amplitude  =%d\n", amplitude);
            printf("ifben sum2   =%lf\n",sum2);
            m_sum = sum2;
            m_amplitude = amplitude;
        }

        m_heat *= 0.9999;
    }
hg.setModell((int)m_amplitude);
printf("fine amplitude=%lf\n",m_amplitude*256/2);

}
