#ifndef SIGNALGENWX_H
#define SIGNALGENWX_H

#include <wx/wx.h>
#include <wx/string.h>
#include "signalgen.h"


class SignalGenWx : public SignalGen
{
    public:
        SignalGenWx();
        virtual ~SignalGenWx();
        int generateWavFile(const wxString& iniFile);
        int generateWavFile(const wxArrayString &params,const wxString& dir);
    protected:
        int parseIniFile(const wxString& file, wxArrayString& params);
        void addDir();
        void fillCharList(const wxArrayString& params, char ** argList);
    private:
        wxString dirName;
};



#endif // SIGNALGENWX_H
