#ifndef VEMSEVENT_H
#define VEMSEVENT_H

#include <wx/event.h>
/*
BEGIN_DECLARE_EVENT_TYPES()
    DECLARE_EVENT_TYPE(wxEVT_VEMS_CONTROL, wxNewEventType())
END_DECLARE_EVENT_TYPES()
*/

extern const wxEventType wxEVT_VEMS_CONTROL;    /// without this MinGW gives undifened referenced linker error

#define EVT_VEMS_CONTROL(id, func) \
    wx__DECLARE_EVT1(wxEVT_VEMS_CONTROL, id, VemsControlEventHandler(func))

class VemsControlEvent : public wxEvent
{
    public:
        enum EventType {
            TABLE_UPDATED = 0,
            REFRESH_FINSHED = 1,
        };

        VemsControlEvent(int id = 0);

        virtual wxEvent *Clone() const { return new VemsControlEvent(*this); }

    public:

//    DECLARE_DYNAMIC_CLASS_NO_ASSIGN(VemsControlEvent)
    DECLARE_DYNAMIC_CLASS(VemsControlEvent)
};




typedef void (wxEvtHandler::*VemsControlEventFunction)(VemsControlEvent&);




#define VemsControlEventHandler(func) \
    (wxObjectEventFunction)(wxEventFunction)wxStaticCastEvent(VemsControlEventFunction, &func)






#endif // VEMSEVENT_H
