#ifndef TBTBECUSTATE_H
#define TBTBECUSTATE_H


#include "VemsToolBarToolBase.h"


class VemsDeviceControllerEvent;


class TbTbECUState: public VemsToolBarToolBase
{
    DECLARE_DYNAMIC_CLASS(TbTbECUState);

    public:
        TbTbECUState() {};
        TbTbECUState(int id);
        virtual ~TbTbECUState();

        void OnTool(wxCommandEvent &event);
        void OnToolR(wxCommandEvent &event) {};
        void OnToolEnter(wxCommandEvent &event) {};

        bool SendObject(int id, wxObject *object, const wxString &message = wxEmptyString);

        void Init();

    private:
        void OnCannotOpenPort( VemsDeviceControllerEvent& event );
        void OnDeviceNotFound( VemsDeviceControllerEvent& event );
        void OnDeviceConnected( VemsDeviceControllerEvent& event );
        void OnDeviceDisconnected( VemsDeviceControllerEvent& event );
        void OnDeviceControllerStopped( VemsDeviceControllerEvent& event );
        void OnDeviceResumed( VemsDeviceControllerEvent& event );
        void OnDeviceProtected( VemsDeviceControllerEvent& event );

		DECLARE_EVENT_TABLE()
};


#endif // TBTBECUSTATE_H
