#ifndef TRIGGERLOGTAIL_H
#define TRIGGERLOGTAIL_H

#include <wx/timer.h>

#include "TriggerLogEvt.h"
//#include <wx/file.h>

class wxInputStream;
class wxDateTime;
class wxFileName;

class TriggerLogTail : public wxTimer, public TriggerLogEvt
{
    public:
        TriggerLogTail(const wxString& fileName, wxEvtHandler* evtHandler);
        virtual ~TriggerLogTail();

        void start();
        void stop();

        void Notify();

    protected:
    private:
        wxString m_name;
        wxFileName* m_fileName;

        wxDateTime*  m_prevMod;
        size_t m_idx;
        char m_buffer[512];

        bool getData( int & readData ){ return false; };
        bool isTimeOut(){ return false; };
        void read();
};

#endif // TRIGGERLOGTAIL_H
