#ifndef UNIDLG_H
#define UNIDLG_H

//#include"unidlgrow.h"

#include <wx/dialog.h>
#include <wx/intl.h>
#include "helper.h"

//WX_DECLARE_INT_HASH_MAP(UniDlgItem *, uniDlgItemHash);
//WX_DECLARE_HASH_MAP( int, UniDlgItem *, wxIntegerHash, wxIntegerEqual, UniDlgItemHash );
//WX_DECLARE_HASH_MAP( wxString, int, wxIntegerHash, wxIntegerEqual, IntegerHash );
WX_DECLARE_STRING_HASH_MAP( bool, BoolHash );
//WX_DECLARE_STRING_HASH_MAP(UniDlgItem *, UniDlgItemStrHash);
//WX_DECLARE_STRING_HASH_MAP( wxString, ValueHash );
class UniDlg : public wxDialog
{
    public:
        UniDlg();
       // UniDlg(wxWindow* parent, const wxString& title);
        //UniDlg(wxWindow* parent,const wxString& title,const wxString& xrc);
        UniDlg(wxWindow* parent, const wxString& title, const wxString& xrc, const wxString& xmlkey);

        //void AddItemRow(UniDlgRow& itemRow);
        void AddEvent(int id);
        void UniDlg::OnBrowse(wxCommandEvent& event);
        void UniDlg::OnTextChange(wxCommandEvent& event);

        void setValue(const wxString & key, const wxString & value);
        wxString getValue(const wxString & key);
        bool isDirSelect(const wxString& key);
        void setIsDirSelect(const wxString& key, bool i);
        bool UniDlg::isFileSelect(const wxString& key);
        void UniDlg::setIsFileSelect(const wxString& key, bool b);
        void join(const wxString& key, const wxString& ctrl);
        wxString getJoin(const wxString& key);
        void UniDlg::joinList(const wxString& key, const wxString& ctrl);
        wxString UniDlg::getFilter(const wxString& key);
        void UniDlg::setFilter(const wxString& key, const wxString& filter);
        int UniDlg::Hide(const wxString& name);

        virtual ~UniDlg();
    protected:
        void UniDlg::OnUpdateUI(wxUpdateUIEvent& event);
        wxString UniDlg::v3FileDialog(wxString & message, wxString& defaultDir, wxString & filter, bool multiSel);
        //wxBoxSizer * m_topSizer;
        //UniDlgItemHash itemHash;
        //int m_idx;
        ValueHash valueHash;
        ValueHash joinHash,joinListHash, filterHash;
        BoolHash dirHash, fileHash;
//        UniDlgItemStrHash itemHashStr;
        wxBoxSizer * topSizer;
        int UniDlg::setUploadEvent();
        void UniDlg::OnUpload(wxCommandEvent& event);
    private:
};



#endif // UNIDLG_H

