#ifndef VEMSRACESDATAVIEW_H
#define VEMSRACESDATAVIEW_H


class wxScrolledWindow;
#include "wx/scrolwin.h"
#include "wx/generic/scrolwin.h"
#include "wx/grid.h"

#include "../fileparser/vemsdatalogdesc.h"
#include "raceloganalyser.h"

class VEMSRacesDataView : public wxGrid
{
    public:
        //VEMSRacesDataView();
        VEMSRacesDataView(wxWindow *parent,
            RaceLogAnalyser *raceLogAnalyser);
        ~VEMSRacesDataView();
    protected:
        DECLARE_EVENT_TABLE();
    private:
        void fillGrid();
        void OnLeftClick(wxGridEvent& ev);
        void OnRightClick(wxGridEvent& ev);
        RaceLogAnalyser *m_raceLogAnalyser;

        //ArrayOfRaceArray * m_raceBin;
        //VEMSDataLogDesc * m_vemsDataLogDesc;
};



#endif // VEMSRACESDATAVIEW_H
