#ifndef TBLMAPDESC_H
#define TBLMAPDESC_H

#include <wx/object.h>
#include <wx/wx.h>

class TblMapDesc : public wxObject
{
    DECLARE_CLASS(TblMapDesc)
    public:
        TblMapDesc();
        virtual ~TblMapDesc();

        wxString        m_name;
        wxString        m_rowHeaderTbl;     // usually map
        wxString        m_rowHeaderTitle;
        wxString        m_colHeaderTbl;     // usually rpm
        wxString        m_colHeaderTitle;
        wxArrayString   m_tables;           // ve, spark, lambda, ...
};

WX_DECLARE_STRING_HASH_MAP( TblMapDesc*, TblMapDescHash );


#endif // TBLMAPDESC_H
