#include "UserMenuRefresher.h"
#include "UserDialogBase.h"
#include "../logger.h"


UserMenuRefresher::UserMenuRefresher( UserDialogBase* dialogManager, wxMenuBar* menuBar )
{
    m_pDialogManager    = dialogManager;
    m_pMenuBar          = menuBar;
}


UserMenuRefresher::~UserMenuRefresher()
{
    unregisterViewer();
}


void UserMenuRefresher::update()
{
    m_pDialogManager->refreshMenu( m_pMenuBar );
}


wxString UserMenuRefresher::toString()
{
    return _T("UserMenuRefresher");
}
