#ifndef GAUGECARRIERPANEL_H
#define GAUGECARRIERPANEL_H

#include "GaugeCarrierBase.h"

class GaugeCarrierPanel: public wxPanel, public GaugeCarrierBase
{
    public:
        GaugeCarrierPanel(wxWindow * parent, int id = wxID_ANY, const wxString &pagetext = wxEmptyString);
        virtual ~GaugeCarrierPanel();


        virtual wxString GetTheme();


        virtual void connectKeyDownEvent( wxWindow* window );

        virtual void ShowCarrier(bool isShow);


        virtual void CloseCarrier();
        virtual void CloseGauge(int winid, bool eraseHash = true);

        virtual void SetFocusToItem(int id = -1);

        virtual void ResetMinMax();

    protected:

        void OnChar(wxKeyEvent& event);

    private:

        wxString    m_pageText;



        DECLARE_EVENT_TABLE();

};

#endif // GAUGECARRIERPANEL_H
