#ifndef TACHOMETERLOCKPANEL_H
#define TACHOMETERLOCKPANEL_H

#include <wx/panel.h>
#include <wx/wx.h>

class CommandRequestBase;

class TachometerLockPanel : public wxPanel
{
    public:
        TachometerLockPanel(wxWindow* parent, CommandRequestBase* requestMgr);
        virtual ~TachometerLockPanel();
    protected:
    private:
        CommandRequestBase* m_requestMgr;

        wxTextCtrl* m_textctrl;
        wxComboBox* m_values;

        void buildGUI(wxWindow* parent);
        void OnEnter( wxCommandEvent& event );
        void OnKillFocus( wxFocusEvent& event );
        void OnKeyDown( wxKeyEvent& event );
        void OnCloseButton( wxCommandEvent& event );

        void commandRequest(int rpm);

        DECLARE_EVENT_TABLE();
};


#endif // TACHOMETERLOCKPANEL_H
