#include "wxBitmapLayer.h"



wxBitmapLayer::wxBitmapLayer()
    :m_depth (0)
{
    //ctor
}

wxBitmapLayer::wxBitmapLayer(char Depth)
{
    m_depth = Depth;
}

wxBitmapLayer::wxBitmapLayer(const wxString &Name, char Depth )
{
    m_name = Name;
    m_depth = Depth;
}

wxBitmapLayer::wxBitmapLayer(char Depth, const wxString &FileName, wxBitmapType type)
{
    m_depth = Depth;

    LoadFile(FileName,type);

}

wxBitmapLayer::wxBitmapLayer(char Depth, const wxString &FileName, const wxString &name, wxBitmapType type)
{
    m_depth = Depth;

    LoadFile(FileName,type);

    m_name = name;
}

wxBitmapLayer::~wxBitmapLayer()
{
    //dtor
}

char wxBitmapLayer::GetDepth()
{
    return m_depth;
}

void wxBitmapLayer::SetDepth(char Depth)
{
    m_depth = Depth;
}

void wxBitmapLayer::SetName(const wxString &Name)
{
    m_name = Name;
}
