
#ifndef WXVARIANTDATADOUBLEHASH_H
#define WXVARIANTDATADOUBLEHASH_H

#include <wx/variant.h>
#include <wx/wx.h>
#include "common/types/DoubleHash.h"

class wxVariantDataDoubleHash : public wxVariantData
{
    DECLARE_DYNAMIC_CLASS( wxVariantDataDoubleHash )
    public:
        wxVariantDataDoubleHash() {}
        wxVariantDataDoubleHash( const DoubleHash& value );
        virtual ~wxVariantDataDoubleHash();

        DoubleHash& GetValue() { return m_value; }
        void SetValue( const DoubleHash& value );
        virtual bool Eq(wxVariantData& data) const;
        virtual wxString GetType() const { return _T("doublehash"); }
    protected:
        DoubleHash m_value;
    private:
};

#endif // WXVARIANTDATADOUBLEHASH_H
