#ifndef WXXMLHELPER_H
#define WXXMLHELPER_H

#include <wx/wx.h>
#include <wx/xml/xml.h>

class wxXmlHelper
{
    public:

        static wxXmlNode * GetNodeByName(const wxString& name, wxXmlNode *node);
        static bool SetPropVal(wxXmlNode* node, const wxString& name, const wxString& value, bool isAdd = false);
        static bool FindNameInChildNodes(const wxString& name, wxXmlNode *node);
        static wxXmlNode * FindChildNodeByProp(wxXmlNode * node, const wxString &propname, const wxString &propvalue );
        static wxXmlNode * GetLastChildNode(wxXmlNode * node);

    protected:
    private:

};

#endif // WXXMLHELPER_H
